Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Interface FP

    public interface FP

This class contains the offsets and constants that define the layout of an activation frame for the current method. All the offsets are relative to the current frame pointer, FP.

Field Summary
`static int` | `FIXED_FRAME_SIZE` This is the number of slots that must be reserved for a call to a method above and beyond the slots it requires for its local variables and operand stack.
`static int` | `local0` The offset of the slot containing the first local variable of the current method.
`static int` | `method` The offset of the slot containing the pointer to the current method.
`static int` | `parm0` The offset of the slot containing the first parameter.
`static int` | `returnFP` The offset of the slot containing the FP of the caller of the current method.
`static int` | `returnIP` The offset of the slot containing the IP of the caller of the current method.

Field Detail

### parm0

    static final int parm0

  The offset of the slot containing the first parameter.

  See Also:
    Constant Field Values

### returnIP

    static final int returnIP

  The offset of the slot containing the IP of the caller of the current method.

  See Also:
    Constant Field Values

### returnFP

    static final int returnFP

  The offset of the slot containing the FP of the caller of the current method.

  See Also:
    Constant Field Values

### local0

    static final int local0

  The offset of the slot containing the first local variable of the current method.

  See Also:
    Constant Field Values

### method

    static final int method

  The offset of the slot containing the pointer to the current method.

  See Also:
    Constant Field Values

### FIXED_FRAME_SIZE

    static final int FIXED_FRAME_SIZE

  This is the number of slots that must be reserved for a call to a method above and beyond the slots it requires for its local variables and operand stack.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"